* [gentoo-commits] repo/gentoo:master commit in: app-text/talkfilters/files/, app-text/talkfilters/
@ 2025-03-10 1:42 Sam James
0 siblings, 0 replies; only message in thread
From: Sam James @ 2025-03-10 1:42 UTC (permalink / raw
To: gentoo-commits
commit: 541f46b1207bc34cc516f4e6f1dbbd5d8206fe68
Author: NHOrus <jy6x2b32pie9 <AT> yahoo <DOT> com>
AuthorDate: Wed Feb 26 12:55:23 2025 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Mar 10 01:40:09 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=541f46b1
app-text/talkfilters: update EAPI 7 -> 8, fix build on musl, license
Closes: https://bugs.gentoo.org/894712
Closes: https://bugs.gentoo.org/880305
Signed-off-by: NHOrus <jy6x2b32pie9 <AT> yahoo.com>
Closes: https://github.com/gentoo/gentoo/pull/40769
Signed-off-by: Sam James <sam <AT> gentoo.org>
.../files/talkfilters-2.3.8-string.patch | 12 +++++++++++
app-text/talkfilters/talkfilters-2.3.8-r2.ebuild | 24 ++++++++++++++++++++++
2 files changed, 36 insertions(+)
diff --git a/app-text/talkfilters/files/talkfilters-2.3.8-string.patch b/app-text/talkfilters/files/talkfilters-2.3.8-string.patch
new file mode 100644
index 000000000000..472067242b13
--- /dev/null
+++ b/app-text/talkfilters/files/talkfilters-2.3.8-string.patch
@@ -0,0 +1,12 @@
+Missing headers for strcmp, fixes build on musl
+https://bugs.gentoo.org/894712
+--- a/getopt.c
++++ b/getopt.c
+@@ -39,6 +39,7 @@
+ #endif
+
+ #include <stdio.h>
++#include <string.h>
+
+ /* Comment out all this code if we are using the GNU C Library, and are not
+ actually compiling the library itself. This code is part of the GNU C
diff --git a/app-text/talkfilters/talkfilters-2.3.8-r2.ebuild b/app-text/talkfilters/talkfilters-2.3.8-r2.ebuild
new file mode 100644
index 000000000000..2e6e2250b337
--- /dev/null
+++ b/app-text/talkfilters/talkfilters-2.3.8-r2.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="Convert ordinary English text into text that mimics a stereotyped dialect"
+HOMEPAGE="https://www.hyperrealm.com/talkfilters/talkfilters.html"
+SRC_URI="https://www.hyperrealm.com/talkfilters/packages/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~mips ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-format-security.patch
+ "${FILESDIR}"/${P}-string.patch
+)
+
+src_install() {
+ default
+ find "${ED}" -name '*.la' -delete || die
+}
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2025-03-10 1:42 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-03-10 1:42 [gentoo-commits] repo/gentoo:master commit in: app-text/talkfilters/files/, app-text/talkfilters/ Sam James
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox